> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Journeys

> List prop journeys, scoped to the caller's view.

We resolve visible customer ids by applying ``apply_customer_view_scope``
to a Customer.id-only select, then filter journeys by that id set. This
keeps scope semantics consistent with other list endpoints (compliance).



## OpenAPI

````yaml /openapi.json get /prop/journeys
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/journeys:
    get:
      tags:
        - Prop trading
      summary: List Journeys
      description: >-
        List prop journeys, scoped to the caller's view.


        We resolve visible customer ids by applying
        ``apply_customer_view_scope``

        to a Customer.id-only select, then filter journeys by that id set. This

        keeps scope semantics consistent with other list endpoints (compliance).
      operationId: list_journeys_prop_journeys_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: template_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Template Id
        - name: customer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer Id
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JourneyListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    JourneyListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/JourneyListItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        aggregates:
          $ref: '#/components/schemas/JourneysAggregates'
        _meta:
          anyOf:
            - $ref: '#/components/schemas/JourneyMeta'
            - type: 'null'
      type: object
      required:
        - items
        - total
        - aggregates
      title: JourneyListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JourneyListItem:
      properties:
        journey_id:
          type: string
          format: uuid
          title: Journey Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        customer_name:
          type: string
          title: Customer Name
        customer_email:
          type: string
          title: Customer Email
        template_id:
          type: string
          format: uuid
          title: Template Id
        template_name:
          type: string
          title: Template Name
        account_currency:
          type: string
          title: Account Currency
        status:
          type: string
          title: Status
        current_phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Phase
        current_account_login:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Account Login
        profit_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit To Date
        profit_target:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Target
        total_paid:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Paid
        total_paid_currency:
          type: string
          title: Total Paid Currency
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - journey_id
        - customer_id
        - customer_name
        - customer_email
        - template_id
        - template_name
        - account_currency
        - status
        - current_phase
        - current_account_login
        - profit_to_date
        - profit_target
        - total_paid
        - total_paid_currency
        - created_at
      title: JourneyListItem
    JourneysAggregates:
      properties:
        active_count:
          type: integer
          title: Active Count
        completed_count:
          type: integer
          title: Completed Count
        breached_count:
          type: integer
          title: Breached Count
        total_revenue_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Revenue Usd
        total_paid_out_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Paid Out Usd
        pending_payout_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Pending Payout Usd
      type: object
      required:
        - active_count
        - completed_count
        - breached_count
        - total_revenue_usd
        - total_paid_out_usd
        - pending_payout_usd
      title: JourneysAggregates
    JourneyMeta:
      properties:
        permissions:
          $ref: '#/components/schemas/JourneyMetaPermissions'
      type: object
      title: JourneyMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    JourneyMetaPermissions:
      properties:
        can_grant_journey:
          type: boolean
          title: Can Grant Journey
          default: false
        can_reset_journey:
          type: boolean
          title: Can Reset Journey
          default: false
        can_cancel_journey:
          type: boolean
          title: Can Cancel Journey
          default: false
      type: object
      title: JourneyMetaPermissions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````